Subject: bug#64835: ‘describe-variable’ unconditionally let-binds ‘print-circle’ to t

From: Sebastian Miele <[email-masked]>
Date: Mon, 24 Jul 2023 19:23:53 +0200

> From: Eli Zaretskii <[email-masked]>
> Date: Mon, 2023-07-24 20:03 +0300
>
>> From: Sebastian Miele <[email-masked]>
>> Date: Mon, 24 Jul 2023 18:42:09 +0200
>>
>> That was not the case in Emacs 28.  It seems to have been introduced
>> in the following commit:
>>
>>   2c18969c810f338d73beda592ee5af7103132e97
>>   Author:     Stefan Monnier <[email-masked]>
>>   AuthorDate: Thu Mar 2 02:08:08 2017 -0500
>>   Commit:     Stefan Monnier <[email-masked]>
>>   CommitDate: Thu Mar 2 02:08:32 2017 -0500
>>
>>   * lisp/help-fns.el (describe-variable): Use cl-print for the value
>>
>>   Use `pp-buffer' rather than `pp' so as to avoid calling prin1 twice.
>>
>> 2017 is a while ago.  The first pretest release of Emacs 28 was in
>> December 2021.  So the commit must have entered the current emacs-29
>> branch in some "non-linear" way.
>
> I don't think so.  I see this code in Emacs 28.1.  So I'm not sure why
> you didn't see this behavior in Emacs 28, if indeed it is caused by
> print-circle.

I must have made a mistake when I tested with Emacs 28 yesterday.  After
checking again, the behavior clearly is in Emacs 28, too.